Loading...
Searching...
No Matches
PreflowDefaultTraits< GR, CAP > Struct Template Reference

## Detailed Description

template<typename GR, typename CAP>
struct lemon::PreflowDefaultTraits< GR, CAP >

Default traits class of Preflow class.

Template Parameters

  GR | Digraph type.
  CAP | Capacity map type.

`#include <lemon/preflow.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef CAP | CapacityMap
| The type of the map that stores the arc capacities.
typedef CapacityMap::Value | Value
| The type of the flow values.
typedef GR::ArcMap< Value > | FlowMap
| The type of the map that stores the flow values.
typedef lemon::Elevator< GR, GR::Node > | Elevator
| The elevator type used by Preflow algorithm.
typedef lemon::Tolerance< Value > | Tolerance
| The tolerance used by the algorithm.

## Static Public Member Functions

static FlowMap * | createFlowMap (const Digraph &digraph)
| Instantiates a FlowMap.
static Elevator * | createElevator (const Digraph &digraph, int max_level)
| Instantiates an Elevator.

## Member Typedef Documentation

## CapacityMap

template<typename GR, typename CAP>

typedef CAP CapacityMap

The type of the map that stores the arc capacities. It must meet the ReadMap concept.

## FlowMap

template<typename GR, typename CAP>

typedef GR::ArcMap<Value> FlowMap

The type of the map that stores the flow values. It must meet the ReadWriteMap concept.

## Elevator

template<typename GR, typename CAP>

typedef lemon::Elevator<GR, GR::Node> Elevator

The elevator type used by Preflow algorithm.

See also
  Elevator, LinkedElevator

## Tolerance

template<typename GR, typename CAP>

typedef lemon::Tolerance<Value> Tolerance

The tolerance used by the algorithm to handle inexact computation.

## Member Function Documentation

## createFlowMap()

template<typename GR, typename CAP>

FlowMap * createFlowMap | ( | const Digraph & | digraph | ) |

inline static

This function instantiates a FlowMap.

Parameters

  digraph | The digraph for which we would like to define the flow map.

## createElevator()

template<typename GR, typename CAP>

Elevator * createElevator | ( | const Digraph & | digraph,
|  | int | max_level )

inline static

This function instantiates an Elevator.

Parameters

  digraph | The digraph for which we would like to define the elevator.
  max_level | The maximum level of the elevator.